# $Revision: 1.18 $, $Date: 2011/03/31 18:10:15 $
Summary:	Collecting and processing NetFlow data
Summary(pl.UTF-8):	Gromadzenie i przetwarzanie informacji o przepływie w sieci
Name:		flow-tools
Version:	0.68.5
Release:	4
License:	BSD
Group:		Applications/Networking
Source0:	http://flow-tools.googlecode.com/files/%{name}-%{version}.tar.bz2
# Source0-md5:	3c5e75da2822ab6b4947c928c09ea365
Patch0:		%{name}-shebang.patch
URL:		http://code.google.com/p/flow-tools/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	libwrap-devel >= 7.6-32
BuildRequires:	mysql-devel
BuildRequires:	openssl-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a software package for collecting and processing NetFlow data
from Cisco and Juniper routers.

%description -l pl.UTF-8
Jest to oprogramowanie służące do gromadzenia i przetwarzania
informacji o przepływie w sieci (NetFlow) z routerów Cisco i Juniper.

%package libs
Summary:	flow-tools library
Summary(pl.UTF-8):	Biblioteka flow-tools
Group:		Libraries
Conflicts:	flow-tools < 0.67-2

%description libs
flow-tools library.

%description libs -l pl.UTF-8
Biblioteka flow-tools.

%package devel
Summary:	Header files flow-tools library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki flow-tools
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	zlib-devel

%description devel
This package contains header files for flow-tools library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki flow-tools.

%package static
Summary:	Static flow-tools library
Summary(pl.UTF-8):	Statyczna biblioteka flow-tools
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static flow-tools library.

%description static -l pl.UTF-8
Statyczna biblioteka flow-tools.

%prep
%setup -q

%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--sysconfdir=%{_sysconfdir}/%{name} \
	--with-mysql \
	--with-openssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog ChangeLog.old INSTALL README README.fork SECURITY TODO
%attr(755,root,root) %{_bindir}/flow-*
%attr(755,root,root) %{_datadir}/%{name}
%{_mandir}/man1/flow-*.1*

%files libs
%defattr(644,root,root,755)
%{_sysconfdir}/%{name}
%attr(755,root,root) %{_libdir}/libft.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libft.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libft.so
%{_libdir}/libft.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libft.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: flow-tools.spec,v $
Revision 1.18  2011/03/31 18:10:15  arekm
- release 4

Revision 1.17  2010/04/28 19:23:26  pawelz
- drop unused BR: sed >= 4.0

Revision 1.16  2010/04/28 19:20:41  pawelz
- really apply shebang patch. Patch0 tag is not enough!
- drop sed (it's better to use patch, this sed did not work)
- rel 3

Revision 1.15  2010/04/13 11:09:17  pawelz
- added patch0 (shebang.patch)
- rel 2

Revision 1.14  2010/04/09 14:47:52  gotar
- upgraded to 0.68.5

Revision 1.13  2008/09/23 11:27:24  pawelz
- BR: rpm-pythonprov

Revision 1.12  2008/09/23 11:19:32  pawelz
- added patch1 (gcc4 buildfix)
- more verbose %files
- sorted BRs

Revision 1.11  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:49  baggins
- converted to UTF-8

Revision 1.9  2006/12/12 23:52:55  glen
- fix python path; rel 3

Revision 1.8  2006/12/08 00:59:43  glen
- rel 2

Revision 1.7  2006/05/10 12:39:40  darekr
- fix %files - use defined macro

Revision 1.6  2006/03/11 23:42:36  maciek2w
- updated to 0.68

Revision 1.5  2004/05/08 23:56:55  qboosh
- added shared patch, build and use shared lib
- added missing BR: libwrap-devel, zlib-devel

Revision 1.4  2004/03/05 22:25:02  adamg
- updated to 0.67

Revision 1.3  2003/09/25 08:50:03  ankry
- some translations, cleaning

Revision 1.2  2003/09/24 21:38:45  arekm
- devel doesn't require main package

Revision 1.1  2003/09/24 21:36:54  arekm
- initial pld release
